/*--------------------------------------------------------------------------
 * pgraph.ox - graphics functions mapped from Gauss to Ox
 *--------------------------------------------------------------------------*/
#ifndef PGRAPHH_INCLUDED
#define PGRAPHH_INCLUDED

#ifdef OX_GAUSS
namespace gauss {
#endif

asclabel(const asx, const asy);
axmargin(const left, const right, const top, const bottom);
bar(const vx, const heights);
begwind();
box(const vgroup, const my);
contour(const x, const y, const z);
draw();
endwind();
fonts(const sfont);
getwind();
graphprt(const str);
graphset();
hardcopy(const str);
hist(const x, const v);
histf(const x, const v);
histp(const x, const v);
line(const x, ...);
loadwin(const sname);
loglog(const x, const y);
logx(const x, const y);
logy(const x, const y);
makewind(const xsize, const ysize, const xshft, const yshft, const typ);
margin(const l, const r, const t, const b);
nextwind();
plot(const x, const y);
plotsym(const n);
polar(const radius, const theta);
rerun();
scale(const x, const y);
scale3d(const x, const y, const z);
setwind(const n);
surface(x,y,z);
title(const s);
view(const x, const y, const z);
viewxyz(const x, const y, const z);
volume(const x, const y, const z);
window(const row, col, const typ);
xlabel(const str);
xtics(const min, const max, const step, const minordiv);
xy(const x, const y);
xyz(const x, const y, const z);
ylabel(str);
ytics(const min, const max, const step, const minordiv);
zlabel(const str);
ztics(const min, const max, const step, const minordiv);

#ifdef OX_GAUSS
}
#endif
#endif
